package org.springblade.person.feign;

import org.springblade.person.entity.Adolescent;
import org.springblade.person.vo.AdolescentVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class AdolescentClientFallback implements IAdolescentClient {
            /**
         * 详情
         */
        @Override
        public AdolescentVO detail(Adolescent adolescent) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<AdolescentVO> list(Adolescent adolescent) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Adolescent adolescent) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Adolescent adolescent) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Adolescent adolescent) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
